qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-devel] [PATCH] scripts: add a guard macro in generated .h files


From: Tristan Gingold
Subject: [Qemu-devel] [PATCH] scripts: add a guard macro in generated .h files
Date: Mon, 7 Feb 2011 16:21:40 +0100

To avoid redefinition warnings.

Signed-off-by: Tristan Gingold <address@hidden>
---
 rules.mak             |    2 +-
 scripts/create_config |   12 ++++++++++++
 2 files changed, 13 insertions(+), 1 deletions(-)

diff --git a/rules.mak b/rules.mak
index ed59c9e..fb38f96 100644
--- a/rules.mak
+++ b/rules.mak
@@ -57,7 +57,7 @@ find-in-path = $(if $(find-string /, $1), \
        @test -f $@ || cp $< $@
 
 %.h-timestamp: %.mak
-       $(call quiet-command, sh $(SRC_PATH)/scripts/create_config < $< > $@, " 
 GEN   $*.h")
+       $(call quiet-command, sh $(SRC_PATH)/scripts/create_config $* < $< > 
$@, "  GEN   $*.h")
        @cmp $@ $*.h >/dev/null 2>&1 || cp $@ $*.h
 
 # will delete the target of a rule if commands exit with a nonzero exit status
diff --git a/scripts/create_config b/scripts/create_config
index 0098e68..0302eab 100755
--- a/scripts/create_config
+++ b/scripts/create_config
@@ -1,7 +1,17 @@
 #!/bin/sh
 
+if [ $# -ne 1 ]; then
+  echo "Usage: $0 filename" 2>&1
+  exit 1
+fi
+
+cond_macro=`echo $1 | tr a-z- A-Z_`_H
+
 echo "/* Automatically generated by create_config - do not modify */"
 
+echo "#ifndef $cond_macro"
+echo "#define $cond_macro"
+
 while read line; do
 
 case $line in
@@ -101,3 +111,5 @@ case $line in
 esac
 
 done # read
+
+echo "#endif /* $cond_macro */"
-- 
1.7.3.GIT




reply via email to

[Prev in Thread] Current Thread [Next in Thread]